## Structure

- `bin/wps_scripts`
  - almost same as the original `wps_scripts`
  - use Environmental variables of `NOISEMODELLING_HOME` and `JAVA_FOR_NOISEMODELLING`
- `hriskscript/`
  - most scripts take paths of geometry files 
  - import the files as tables, execute groovy scripts embeded in NoiseModelling, and export files

## Requirements

- Environmental variables
  - `NOISEMODELLING_HOME`: e.g. `C:\Program Files\NoiseModelling\4.0.5`
  - `JAVA_FOR_NOISEMODELLING`: e.g. `C:\Program Files\Java\jdk-11.0.2`

## Test script

The following command is common:

`noisemodelling/bin/wps_scripts -w . -s noisemodelling/hriskscript/receiverfacade.groovy -noiseModellingHome "%NOISEMODELLING_HOME%" -exportDir .`

### road emission from traffic

`noisemodelling\bin\wps_scripts -w noisemodelling\test\tmp -s noisemodelling\hriskscript\initroademissionfromtraffic.groovy -noiseModellingHome "%NOISEMODELLING_HOME%" -exportDir "%CD%\geom\tmp" -roadGeomPath "%CD%\geom\test\road.geojson" -inputSRID "32654"`


### Receiver at facade

`noisemodelling\bin\wps_scripts -w noisemodelling\test\tmp -s noisemodelling\hriskscript\receiverfacade.groovy -noiseModellingHome "%NOISEMODELLING_HOME%" -exportDir "%CD%\geom\tmp" -buildingGeomPath "%CD%\geom\test\bldgs.geojson" -sourceGeomPath "%CD%\geom\test\road.geojson" -delta 10.0 -height 4.0 -distance 0.01 -fenceGeomPath "%CD%\geom\test\fence.geojson"`

### Receiver at delaunay grid

Note that fence should be given as Wkt object

`noisemodelling\bin\wps_scripts -w noisemodelling\test\tmp -s noisemodelling\hriskscript\noisefromtraffic.groovy -noiseModellingHome "%NOISEMODELLING_HOME%" -exportDir "%CD%\geom\tmp" -buildingGeomPath "%CD%\geom\test\bldgs.geojson" -roadGeomPath "%CD%\geom\test\road.geojson" -receiverGeomPath "%CD%\geom\test\receiver-facade.geojson" -demGeomPath "%CD%\geom\test\dem.geojson" -inputSRID "32654" -paramWallAlpha 0.1 -confReflOrder 1 -confMaxSrcDist 500 -confMaxReflDist 200 -confThreadNumber 0 -confDiffVertical false -confDiffHorizontal true -confSkipLday false -confSkipLevening false -confSkipLnight false -confSkipLden false -confExportSourceId -false -confHumidity 70 -confTemperature 15`


### Receiver at regular grid

`noisemodelling\bin\wps_scripts -w noisemodelling\test\tmp -s noisemodelling\hriskscript\receiverregulargrid.groovy -noiseModellingHome "%NOISEMODELLING_HOME%" -exportDir "%CD%\geom\tmp" -buildingGeomPath "%CD%\geom\test\bldgs.geojson" -sourceGeomPath "%CD%\geom\test\road.geojson" -delta 10.0 -height 4.0 -distance 0.01 -fenceGeomPath "%CD%\geom\test\fence.geojson"`

### Sound levels using traffic volumes

`noisemodelling\bin\wps_scripts -w noisemodelling\test\tmp -s noisemodelling\hriskscript\noisefromtraffic.groovy -noiseModellingHome "%NOISEMODELLING_HOME%" -exportDir "%CD%\geom\tmp" -inputSRID 32654 -roadGeomPath "%CD%\geom\test\road.geojson" -buildingGeomPath "%CD%\geom\test\bldgs.geojson" -receiverGeomPath "%CD%\geom\test\receiver-facade.geojson" -demGeomPath "%CD%\geom\test\dem.geojson" -confMaxSrcDist 500.0 -confMaxReflDist 350.0 -confReflOrder 1 -confHumidity 70.0 -confTemperature 15.0 -paramWallAlpha 0.1 -confDiffVertical 0 -confDiffHorizontal 1 -confFavorableOccurrencesDay "0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5" -confFavorableOccurrencesEvening "0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5" -confFavorableOccurrencesNight "0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5" -confThreadNumber 0 -confRays 1`